INFORMATIQUE - Bug #2548

Perte de données sur redmine
01/01/2018 04:43 PM - Alexis Jeandet

Status: New Start date: 01/01/2018
Priority: Normal Due date:

Assignee: Alexis Jeandet % Done: 10%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

En effectuant un peu de ménage sur le serveur, j'ai effacé la version 2.3 de redmine (/opt/redmine-2.3). Sauf que je n'ai pas vu que
depuis le début redmine était configuré pour uploader les fichier dans /opt/redmine-2.3/files.

Du coup on a perdu les fichiers uploadés depuis octobre 2015 environ.

Evidement la conf de backup faisait une sauvegarde quotidienne de /opt/redmine/files donc elle ne servait & rien pour les fichiers
uploadés.

Solutions de recovery:

e extundelete -> testé ne veut pas
e scalpel -> en cours

Mitigation:

¢ |a conf est mise a jour pour taper dans /opt/redmine/files
¢ |le systéme de backup utilise maintenant I'outil que j'ai développé et il est configuré pour sauvegarder les bons dossiers.

J'ai envoyé un mail aux principaux utilisateurs. Pour le moment la seule solution est de se taper la réparation a la main.

History

#1 - 02/01/2018 09:29 AM - Alexis Jeandet
- % Done changed from 0 to 10

Scalpel a fini de tourner, beaucoup de fichiers sont restaurés mais les noms sont perdus. Il faut maintenant les trier.
#2 - 03/01/2018 11:12 AM - Alexis Jeandet
Scalpel produit beaucoup de fichiers non valides, pour faire du nettoyage:
e Documents office:
for £ in */*.doc ; do
if timeout 40 abiword --to=pdf "S$f" > /dev/null; then

echo "S$f" is wvalid;
rm "${f%.doc}.pdf";

else
echo "$f" is broken;
rm "Sf";
fi;
done
® Images:
for £ in */*.{jpg,bmp,png,gif,tif} ; do
if identify "Sf" > /dev/null; then
echo "S$f" is valid;
else
echo "$f" is broken;
rm "S$f";
fi;
done
e Fichiers ZIP
https://github.com/jeandet/lpp_backups

for £ in */*.zip ; do

if unzip -t "Sf" > /dev/null; then
echo "$f" is wvalid;
else
echo "S$f" is broken;
rm n $ f n ,.
fi;
done
e Videos
for £ in */*.mpg ; do

if ffmpeg -v error -i "$f" -f null
echo "S$f" is valid;
else
echo "S$f" is broken;
rm "S$f";
fi;
done
> /dev/null;

then
